
Redmine - Defect #15297

Problem with thumbnail while upload attachment

2013-11-07 18:37 - Leonid  E

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.0

Description

Hello,

Could you please help me to fix this issue?

777 to tmp/thumbnails (via #11854) doesn't work.

Logs:

Started POST "/uploads.js?attachment_id=1&filename=Untitled-1.png" for 93.80.32.228 at Thu Nov 07 

06:28:20 +0000 2013

Processing by AttachmentsController#upload as JS

  Parameters: {"attachment_id"=>"1", "filename"=>"Untitled-1.png"}

  Current user: admin (id=5795)

Saving attachment '/home/redmine/redmine/files/2013/11/131107062820_Untitled-1.png' (24629 bytes)

  Rendered attachments/upload.js.erb (1.2ms)

Completed 200 OK in 142ms (Views: 16.9ms | ActiveRecord: 2.9ms)

Started PUT "/issues/62936" for 93.80.32.228 at Thu Nov 07 06:28:21 +0000 2013

Processing by IssuesController#update as HTML

  Parameters: {"authenticity_token"=>"HmkzUtObgJ4+fKtLRgBe+q67+vfmshJbvN6tb8wrUUM=", "last_journal

_id"=>"130847", "issue"=>{"project_id"=>"6269", "is_private"=>"0", "due_date"=>"", "start_date"=>"

", "priority_id"=>"4", "parent_issue_id"=>"", "tracker_id"=>"2", "status_id"=>"1", "assigned_to_id

"=>"", "notes"=>"", "lock_version"=>"1", "subject"=>"gvgg", "done_ratio"=>"0", "description"=>"vvv

", "estimated_hours"=>"", "private_notes"=>"0"}, "utf8"=>"✓", "id"=>"62936", "time_entry"=>{"activ

ity_id"=>"9", "hours"=>"", "comments"=>""}, "attachments"=>{"1"=>{"filename"=>"Untitled-1.png", "d

escription"=>"", "token"=>"248.a1adbd3beab4ec3aa03c818ffa2d19a3"}}, "commit"=>"Submit"}

  Current user: admin (id=5795)

  Rendered mailer/_issue.text.erb (13.3ms)

  Rendered mailer/issue_edit.text.erb within layouts/mailer (14.7ms)

  Rendered mailer/_issue.html.erb (3.3ms)

  Rendered mailer/issue_edit.html.erb within layouts/mailer (6.3ms)

Redirected to http://site.com/issues/62936

Completed 302 Found in 320ms (ActiveRecord: 29.7ms)

Started GET "/issues/62936" for 93.80.32.228 at Thu Nov 07 06:28:22 +0000 2013

Processing by IssuesController#show as HTML

  Parameters: {"id"=>"62936"}

  Current user: admin (id=5795)

  Rendered issues/_action_menu.html.erb (5.6ms)

  Rendered plugins/redmine_lightbox/app/views/attachments/_links.html.erb (14.5ms)

  Rendered issue_relations/_form.html.erb (115.5ms)

  Rendered issues/_relations.html.erb (117.3ms)

  Rendered issues/_history.html.erb (15.4ms)

  Rendered issues/_action_menu.html.erb (5.0ms)

  Rendered issues/_form_custom_fields.html.erb (0.1ms)

  Rendered issues/_attributes.html.erb (20.8ms)

  Rendered issues/_form.html.erb (60.4ms)

  Rendered attachments/_form.html.erb (2.3ms)

  Rendered issues/_edit.html.erb (76.3ms)

  Rendered plugins/redmine_contacts/app/views/issues/_contacts.html.erb (0.2ms)

  Rendered issues/_sidebar.html.erb (117.3ms)

  Rendered watchers/_watchers.html.erb (6.9ms)
  Rendered issues/show.html.erb within layouts/base (389.6ms)

Completed 200 OK in 496ms (Views: 427.6ms | ActiveRecord: 33.5ms)

Started GET "/attachments/thumbnail/247" for 93.80.32.228 at Thu Nov 07 06:28:23 +0000 2013

Processing by AttachmentsController#thumbnail as */*

  Parameters: {"id"=>"247"}

  Current user: admin (id=5795)

  Rendered text template (0.0ms)

Completed 404 Not Found in 13ms (Views: 0.7ms | ActiveRecord: 2.9ms)

Started GET "/attachments/thumbnail/246" for 93.80.32.228 at Thu Nov 07 06:28:23 +0000 2013

Processing by AttachmentsController#thumbnail as */*

  Parameters: {"id"=>"246"}

  Current user: admin (id=5795)

  Rendered text template (0.0ms)

Completed 404 Not Found in 26ms (Views: 0.7ms | ActiveRecord: 14.4ms)

 Thanks

History

#1 - 2013-11-09 20:57 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

I guess that convert is not available for thumbnail generation. You should see a warning if you grep your logfile for Imagemagick.
